<?php
session_start();
include_once('../../config/#Config.php');
if (!$_SESSION['UserName']) {
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
}
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}
if(!isset($_POST['idevent'])&&!isset($_POST['sl'])){
	$return['code'] = 1;
	$return['text'] = 'Bạn chưa nhập Số lượng cần tạo';
} else {
	if(!is_numeric($_POST['sl']) or $_POST['sl'] <= 0 or $_POST['sl'] > 99999){
	$return['code'] = 1;
	$return['text'] = 'Số lượng không được nhỏ hơn 0 Hoặc lớn 99999';		
	} else {
					$creat_dwid = 0;
			if($_POST['creat_dwid']){
				$creat_dwid = $_POST['creat_dwid'];
			}
		// check event có tồn tại không
		$get_item = mysqli_query($conn, "Select * from giftcode WHERE IDEvent = '".$_POST['idevent']."'");
		if(mysqli_num_rows($get_item)){
						$get_item = mysqli_fetch_array($get_item, MYSQLI_ASSOC);
			$codetao = $_POST['numbercode'];
		for($i=0;$i<=$_POST['sl']-1;$i++){
			if($_POST['setting'] == 0){
			$codetao = rand_string(5).time();
			}
			if($_POST['setting'] == 0){
			mysqli_query($conn, "INSERT INTO giftcode_code (EventID,Server,GiftCode,Timer,LimitNhap,dwIDKin) VALUES ('".$_POST['idevent']."','".$_POST['sv']."',N'".strtoupper($codetao)."','".date('d/m/Y H:i:s')."','1','$creat_dwid')");	
			$code .= '🔔 Code Event '.$get_item['EventName'].' Của bạn là : '.strtoupper($codetao)." ❤ Võ Lâm Trung Nguyên\n";
	   
			} else {
			$code = '🔔 Code Event '.$get_item['EventName'].' Của bạn là : '.strtoupper($codetao)."\n";
			}
		}
		if($_POST['setting'] != 0){
			mysqli_query($conn, "INSERT INTO giftcode_code (EventID,Server,GiftCode,Timer,LimitNhap,dwIDKin) VALUES ('".$_POST['idevent']."','".$_POST['sv']."',N'".strtoupper($codetao)."','".date('d/m/Y H:i:s')."','".$_POST['sl']."','$creat_dwid')");				
		}
		$rand = rand(111111111,999999999);
		$name = "code/".'Code-'.$rand.'.txt';
$myfile = fopen($name, "w") or $return['code'] = 1;$return['text'] = 'Lỗi tạo file Code.';
fwrite($myfile, pack("CCC",0xef,0xbb,0xbf)); 
fwrite($myfile, $code);
fclose($myfile);
	$return['code'] = 0;
	$return['text'] = "ajax/code/".'Code-'.$rand.'.txt';	
		} else {
	$return['code'] = 1;
	$return['text'] = 'ID Event này không tồn tại';					
		}
	}
}
echo json_encode($return);